# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "grape"
  s.version = "0.5.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Michael Bleigh"]
  s.date = "2013-06-14"
  s.description = "A Ruby framework for rapid API development with great conventions."
  s.email = ["michael@intridea.com"]
  s.files = [".gitignore", ".rspec", ".travis.yml", ".yardopts", "CHANGELOG.md", "Gemfile", "Guardfile", "LICENSE", "README.md", "Rakefile", "grape.gemspec", "lib/grape.rb", "lib/grape/api.rb", "lib/grape/cookies.rb", "lib/grape/endpoint.rb", "lib/grape/error_formatter/base.rb", "lib/grape/error_formatter/json.rb", "lib/grape/error_formatter/txt.rb", "lib/grape/error_formatter/xml.rb", "lib/grape/exceptions/base.rb", "lib/grape/exceptions/invalid_formatter.rb", "lib/grape/exceptions/invalid_versioner_option.rb", "lib/grape/exceptions/invalid_with_option_for_represent.rb", "lib/grape/exceptions/missing_mime_type.rb", "lib/grape/exceptions/missing_option.rb", "lib/grape/exceptions/missing_vendor_option.rb", "lib/grape/exceptions/unknown_options.rb", "lib/grape/exceptions/unknown_validator.rb", "lib/grape/exceptions/validation.rb", "lib/grape/formatter/base.rb", "lib/grape/formatter/json.rb", "lib/grape/formatter/serializable_hash.rb", "lib/grape/formatter/txt.rb", "lib/grape/formatter/xml.rb", "lib/grape/http/request.rb", "lib/grape/locale/en.yml", "lib/grape/middleware/auth/basic.rb", "lib/grape/middleware/auth/digest.rb", "lib/grape/middleware/auth/oauth2.rb", "lib/grape/middleware/base.rb", "lib/grape/middleware/error.rb", "lib/grape/middleware/filter.rb", "lib/grape/middleware/formatter.rb", "lib/grape/middleware/versioner.rb", "lib/grape/middleware/versioner/accept_version_header.rb", "lib/grape/middleware/versioner/header.rb", "lib/grape/middleware/versioner/param.rb", "lib/grape/middleware/versioner/path.rb", "lib/grape/namespace.rb", "lib/grape/parser/base.rb", "lib/grape/parser/json.rb", "lib/grape/parser/xml.rb", "lib/grape/route.rb", "lib/grape/util/content_types.rb", "lib/grape/util/deep_merge.rb", "lib/grape/util/hash_stack.rb", "lib/grape/validations.rb", "lib/grape/validations/coerce.rb", "lib/grape/validations/default.rb", "lib/grape/validations/presence.rb", "lib/grape/validations/regexp.rb", "lib/grape/version.rb", "spec/grape/api_spec.rb", "spec/grape/endpoint_spec.rb", "spec/grape/entity_spec.rb", "spec/grape/exceptions/invalid_formatter_spec.rb", "spec/grape/exceptions/invalid_versioner_option_spec.rb", "spec/grape/exceptions/missing_mime_type_spec.rb", "spec/grape/exceptions/missing_option_spec.rb", "spec/grape/exceptions/unknown_options_spec.rb", "spec/grape/exceptions/unknown_validator_spec.rb", "spec/grape/middleware/auth/basic_spec.rb", "spec/grape/middleware/auth/digest_spec.rb", "spec/grape/middleware/auth/oauth2_spec.rb", "spec/grape/middleware/base_spec.rb", "spec/grape/middleware/error_spec.rb", "spec/grape/middleware/exception_spec.rb", "spec/grape/middleware/formatter_spec.rb", "spec/grape/middleware/versioner/accept_version_header_spec.rb", "spec/grape/middleware/versioner/header_spec.rb", "spec/grape/middleware/versioner/param_spec.rb", "spec/grape/middleware/versioner/path_spec.rb", "spec/grape/middleware/versioner_spec.rb", "spec/grape/util/hash_stack_spec.rb", "spec/grape/validations/coerce_spec.rb", "spec/grape/validations/default_spec.rb", "spec/grape/validations/presence_spec.rb", "spec/grape/validations/regexp_spec.rb", "spec/grape/validations/zh-CN.yml", "spec/grape/validations_spec.rb", "spec/shared/versioning_examples.rb", "spec/spec_helper.rb", "spec/support/basic_auth_encode_helpers.rb", "spec/support/versioned_helpers.rb"]
  s.homepage = "https://github.com/intridea/grape"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubyforge_project = "grape"
  s.rubygems_version = "2.0.5"
  s.summary = "A simple Ruby framework for building REST-like APIs."
  s.test_files = ["spec/grape/api_spec.rb", "spec/grape/endpoint_spec.rb", "spec/grape/entity_spec.rb", "spec/grape/exceptions/invalid_formatter_spec.rb", "spec/grape/exceptions/invalid_versioner_option_spec.rb", "spec/grape/exceptions/missing_mime_type_spec.rb", "spec/grape/exceptions/missing_option_spec.rb", "spec/grape/exceptions/unknown_options_spec.rb", "spec/grape/exceptions/unknown_validator_spec.rb", "spec/grape/middleware/auth/basic_spec.rb", "spec/grape/middleware/auth/digest_spec.rb", "spec/grape/middleware/auth/oauth2_spec.rb", "spec/grape/middleware/base_spec.rb", "spec/grape/middleware/error_spec.rb", "spec/grape/middleware/exception_spec.rb", "spec/grape/middleware/formatter_spec.rb", "spec/grape/middleware/versioner/accept_version_header_spec.rb", "spec/grape/middleware/versioner/header_spec.rb", "spec/grape/middleware/versioner/param_spec.rb", "spec/grape/middleware/versioner/path_spec.rb", "spec/grape/middleware/versioner_spec.rb", "spec/grape/util/hash_stack_spec.rb", "spec/grape/validations/coerce_spec.rb", "spec/grape/validations/default_spec.rb", "spec/grape/validations/presence_spec.rb", "spec/grape/validations/regexp_spec.rb", "spec/grape/validations/zh-CN.yml", "spec/grape/validations_spec.rb", "spec/shared/versioning_examples.rb", "spec/spec_helper.rb", "spec/support/basic_auth_encode_helpers.rb", "spec/support/versioned_helpers.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<rack>, [">= 1.3.0"])
      s.add_runtime_dependency(%q<rack-mount>, [">= 0"])
      s.add_runtime_dependency(%q<rack-accept>, [">= 0"])
      s.add_runtime_dependency(%q<activesupport>, [">= 0"])
      s.add_runtime_dependency(%q<multi_json>, [">= 1.3.2"])
      s.add_runtime_dependency(%q<multi_xml>, [">= 0.5.2"])
      s.add_runtime_dependency(%q<hashie>, [">= 1.2.0"])
      s.add_runtime_dependency(%q<virtus>, [">= 0"])
      s.add_runtime_dependency(%q<builder>, [">= 0"])
      s.add_development_dependency(%q<grape-entity>, [">= 0.2.0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<maruku>, [">= 0"])
      s.add_development_dependency(%q<yard>, [">= 0"])
      s.add_development_dependency(%q<rack-test>, [">= 0"])
      s.add_development_dependency(%q<rspec>, ["~> 2.9"])
      s.add_development_dependency(%q<bundler>, [">= 0"])
    else
      s.add_dependency(%q<rack>, [">= 1.3.0"])
      s.add_dependency(%q<rack-mount>, [">= 0"])
      s.add_dependency(%q<rack-accept>, [">= 0"])
      s.add_dependency(%q<activesupport>, [">= 0"])
      s.add_dependency(%q<multi_json>, [">= 1.3.2"])
      s.add_dependency(%q<multi_xml>, [">= 0.5.2"])
      s.add_dependency(%q<hashie>, [">= 1.2.0"])
      s.add_dependency(%q<virtus>, [">= 0"])
      s.add_dependency(%q<builder>, [">= 0"])
      s.add_dependency(%q<grape-entity>, [">= 0.2.0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<maruku>, [">= 0"])
      s.add_dependency(%q<yard>, [">= 0"])
      s.add_dependency(%q<rack-test>, [">= 0"])
      s.add_dependency(%q<rspec>, ["~> 2.9"])
      s.add_dependency(%q<bundler>, [">= 0"])
    end
  else
    s.add_dependency(%q<rack>, [">= 1.3.0"])
    s.add_dependency(%q<rack-mount>, [">= 0"])
    s.add_dependency(%q<rack-accept>, [">= 0"])
    s.add_dependency(%q<activesupport>, [">= 0"])
    s.add_dependency(%q<multi_json>, [">= 1.3.2"])
    s.add_dependency(%q<multi_xml>, [">= 0.5.2"])
    s.add_dependency(%q<hashie>, [">= 1.2.0"])
    s.add_dependency(%q<virtus>, [">= 0"])
    s.add_dependency(%q<builder>, [">= 0"])
    s.add_dependency(%q<grape-entity>, [">= 0.2.0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<maruku>, [">= 0"])
    s.add_dependency(%q<yard>, [">= 0"])
    s.add_dependency(%q<rack-test>, [">= 0"])
    s.add_dependency(%q<rspec>, ["~> 2.9"])
    s.add_dependency(%q<bundler>, [">= 0"])
  end
end

